Subject: Re: bug#71624: dejagnu-1.6.3 test failure

From: Gordon Steemson <[email-masked]>
Date: Thu, 20 Jun 2024 22:04:39 -0700

Hello,

> On Jun 19, 2024, at 8:00 PM, Jacob Bachmeyer <[email-masked]> wrote:
> 
> Gordon Steemson wrote:
>> On Tue, 18 Jun 2024 at 19:09, Jacob Bachmeyer <[email-masked]> wrote:
>>  [...]
>>> The report-card tests should not be affected by that issue, however,
>>> this report contains insufficient information to evaluate.  Please
>>> attach the report-card.log produced by a failing test run and describe
>>> the system that you are using.  What distribution is exhibiting this issue?
>>>    
>> 
>> The test log should be attached to this message; hopefully it does not
>> get stripped off.
>> 
>> The build was performed on an obsolete platform – specifically, Mac OS
>> X 10.5.8 “Leopard” running on a dual-processor Power Mac G5 – so I
>> don’t know if anyone else will care that it failed.  I’d still like to
>> know why it is failing.
>>  
> 
> It is most likely failing because Mac OS X 10.5.8 does not conform to POSIX:  the log shows an error from stty(1) rejecting the -onlret option, which POSIX defines---it is /not/ a GNU extension.
> 
> That said, my copy of stty(P) suggests that onlret does not do anything useful here, so a patch has been pushed to the "PR71624" branch at Savannah.  Please try it and indicate if it solves this problem.  If so, I will merge it to master and consider the issue resolved.

That did indeed fix it!  I thank you most sincerely for taking the time to look into this.

With gratitude,
Gordon S.